Package org.opensaml.xmlsec.config

# Class BasicXMLSecurityConfiguration

java.lang.Object
org.opensaml.security.config.BasicSecurityConfiguration
org.opensaml.xmlsec.config.BasicXMLSecurityConfiguration

All Implemented Interfaces:
  `Component`, `IdentifiableComponent`, `IdentifiedComponent`, `SecurityConfiguration`, `XMLSecurityConfiguration`

public class BasicXMLSecurityConfiguration extends BasicSecurityConfiguration implements XMLSecurityConfiguration
Basic implementation of `XMLSecurityConfiguration` interface.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private DecryptionConfiguration`
`decryptConfig`
Configuration used when decrypting protocol message information.
`private EncryptionConfiguration`
`encryptConfig`
Configuration used when encrypting protocol message information.
`private SignatureSigningConfiguration`
`sigSigningConfig`
Configuration used when generating protocol message signatures.
`private SignatureValidationConfiguration`
`sigValidateConfig`
Configuration used when validating protocol message signatures.

## Constructor Summary

Constructors
Constructor
Description
`BasicXMLSecurityConfiguration()`
Default constructor.
`BasicXMLSecurityConfiguration(Duration skew, IdentifierGenerationStrategy generator)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DecryptionConfiguration`
`getDecryptionConfiguration()`
Get the configuration used when decrypting protocol message information.
`EncryptionConfiguration`
`getEncryptionConfiguration()`
Get the configuration used when encrypting protocol message information.
`SignatureSigningConfiguration`
`getSignatureSigningConfiguration()`
Get the configuration used when generating protocol message signatures.
`SignatureValidationConfiguration`
`getSignatureValidationConfiguration()`
Get the configuration used when validating protocol message signatures.
`BasicXMLSecurityConfiguration`
`setDecryptionConfiguration(DecryptionConfiguration config)`
Set the configuration used when decrypting protocol message information.
`BasicXMLSecurityConfiguration`
`setEncryptionConfiguration(EncryptionConfiguration config)`
Set the configuration used when encrypting protocol message information.
`BasicXMLSecurityConfiguration`
`setSignatureSigningConfiguration(SignatureSigningConfiguration config)`
Set the configuration used when generating protocol message signatures.
`BasicXMLSecurityConfiguration`
`setSignatureValidationConfiguration(SignatureValidationConfiguration config)`
Set the configuration used when validating protocol message signatures.

### Methods inherited from class org.opensaml.security.config.BasicSecurityConfiguration

`getClientTLSValidationConfiguration, getClockSkew, getHttpClientSecurityConfiguration, getId, getIdGenerator, setClientTLSValidationConfiguration, setHttpClientSecurityConfiguration, setId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.security.config.SecurityConfiguration

`getClientTLSValidationConfiguration, getClockSkew, getHttpClientSecurityConfiguration, getIdGenerator`

## Field Details

### sigValidateConfig

@Nullable private SignatureValidationConfiguration sigValidateConfig
Configuration used when validating protocol message signatures.

### sigSigningConfig

@Nullable private SignatureSigningConfiguration sigSigningConfig
Configuration used when generating protocol message signatures.

### decryptConfig

@Nullable private DecryptionConfiguration decryptConfig
Configuration used when decrypting protocol message information.

### encryptConfig

@Nullable private EncryptionConfiguration encryptConfig
Configuration used when encrypting protocol message information.

## Constructor Details

### BasicXMLSecurityConfiguration

public BasicXMLSecurityConfiguration()
Default constructor.

### BasicXMLSecurityConfiguration

public BasicXMLSecurityConfiguration(@Nonnull Duration skew, @Nonnull IdentifierGenerationStrategy generator)
Constructor.

Parameters:
  `skew` - the clock skew, must be greater than 0
  `generator` - the identifier generator, must not be null

## Method Details

### getSignatureValidationConfiguration

@Nullable public SignatureValidationConfiguration getSignatureValidationConfiguration()
Get the configuration used when validating protocol message signatures.

Specified by:
  `getSignatureValidationConfiguration` in interface `XMLSecurityConfiguration`
Returns:
  configuration used when validating protocol message signatures, or null

### setSignatureValidationConfiguration

@Nonnull public BasicXMLSecurityConfiguration setSignatureValidationConfiguration(@Nullable SignatureValidationConfiguration config)
Set the configuration used when validating protocol message signatures.

Parameters:
  `config` - configuration used when validating protocol message signatures, or null
Returns:
  this object

### getSignatureSigningConfiguration

@Nullable public SignatureSigningConfiguration getSignatureSigningConfiguration()
Get the configuration used when generating protocol message signatures.

Specified by:
  `getSignatureSigningConfiguration` in interface `XMLSecurityConfiguration`
Returns:
  configuration used when generating protocol message signatures, or null

### setSignatureSigningConfiguration

@Nonnull public BasicXMLSecurityConfiguration setSignatureSigningConfiguration(@Nullable SignatureSigningConfiguration config)
Set the configuration used when generating protocol message signatures.

Parameters:
  `config` - configuration used when generating protocol message signatures, or null
Returns:
  this object

### getDecryptionConfiguration

@Nullable public DecryptionConfiguration getDecryptionConfiguration()
Get the configuration used when decrypting protocol message information.

Specified by:
  `getDecryptionConfiguration` in interface `XMLSecurityConfiguration`
Returns:
  configuration used when decrypting protocol message information, or null

### setDecryptionConfiguration

@Nonnull public BasicXMLSecurityConfiguration setDecryptionConfiguration(@Nullable DecryptionConfiguration config)
Set the configuration used when decrypting protocol message information.

Parameters:
  `config` - configuration used when decrypting protocol message information, or null
Returns:
  this object

### getEncryptionConfiguration

@Nullable public EncryptionConfiguration getEncryptionConfiguration()
Get the configuration used when encrypting protocol message information.

Specified by:
  `getEncryptionConfiguration` in interface `XMLSecurityConfiguration`
Returns:
  configuration used when encrypting protocol message information, or null

### setEncryptionConfiguration

@Nonnull public BasicXMLSecurityConfiguration setEncryptionConfiguration(@Nullable EncryptionConfiguration config)
Set the configuration used when encrypting protocol message information.

Parameters:
  `config` - configuration used when encrypting protocol message information, or null
Returns:
  this object